

# GetContainerRecipe
<a name="API_GetContainerRecipe"></a>

Retrieves a container recipe.

## Request Syntax
<a name="API_GetContainerRecipe_RequestSyntax"></a>

```
GET /GetContainerRecipe?containerRecipeArn=containerRecipeArn HTTP/1.1
```

## URI Request Parameters
<a name="API_GetContainerRecipe_RequestParameters"></a>

The request uses the following URI parameters.

 ** [containerRecipeArn](#API_GetContainerRecipe_RequestSyntax) **   <a name="imagebuilder-GetContainerRecipe-request-uri-containerRecipeArn"></a>
The Amazon Resource Name (ARN) of the container recipe to retrieve.  
Pattern: `^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws):container-recipe/[a-z0-9-_]+/(?:[0-9]+|x)\.(?:[0-9]+|x)\.(?:[0-9]+|x)$`   
Required: Yes

## Request Body
<a name="API_GetContainerRecipe_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetContainerRecipe_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "containerRecipe": { 
      "arn": "string",
      "components": [ 
         { 
            "componentArn": "string",
            "parameters": [ 
               { 
                  "name": "string",
                  "value": [ "string" ]
               }
            ]
         }
      ],
      "containerType": "string",
      "dateCreated": "string",
      "description": "string",
      "dockerfileTemplateData": "string",
      "encrypted": boolean,
      "instanceConfiguration": { 
         "blockDeviceMappings": [ 
            { 
               "deviceName": "string",
               "ebs": { 
                  "deleteOnTermination": boolean,
                  "encrypted": boolean,
                  "iops": number,
                  "kmsKeyId": "string",
                  "snapshotId": "string",
                  "throughput": number,
                  "volumeSize": number,
                  "volumeType": "string"
               },
               "noDevice": "string",
               "virtualName": "string"
            }
         ],
         "image": "string"
      },
      "kmsKeyId": "string",
      "name": "string",
      "owner": "string",
      "parentImage": "string",
      "platform": "string",
      "tags": { 
         "string" : "string" 
      },
      "targetRepository": { 
         "repositoryName": "string",
         "service": "string"
      },
      "version": "string",
      "workingDirectory": "string"
   },
   "latestVersionReferences": { 
      "latestMajorVersionArn": "string",
      "latestMinorVersionArn": "string",
      "latestPatchVersionArn": "string",
      "latestVersionArn": "string"
   },
   "requestId": "string"
}
```

## Response Elements
<a name="API_GetContainerRecipe_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [containerRecipe](#API_GetContainerRecipe_ResponseSyntax) **   <a name="imagebuilder-GetContainerRecipe-response-containerRecipe"></a>
The container recipe object that is returned.  
Type: [ContainerRecipe](API_ContainerRecipe.md) object

 ** [latestVersionReferences](#API_GetContainerRecipe_ResponseSyntax) **   <a name="imagebuilder-GetContainerRecipe-response-latestVersionReferences"></a>
The resource ARNs with different wildcard variations of semantic versioning.  
Type: [LatestVersionReferences](API_LatestVersionReferences.md) object

 ** [requestId](#API_GetContainerRecipe_ResponseSyntax) **   <a name="imagebuilder-GetContainerRecipe-response-requestId"></a>
The request ID that uniquely identifies this request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.

## Errors
<a name="API_GetContainerRecipe_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** CallRateLimitExceededException **   
You have exceeded the permitted request rate for the specific operation.  
HTTP Status Code: 429

 ** ClientException **   
These errors are usually caused by a client action, such as using an action or resource on behalf of a user that doesn't have permissions to use the action or resource, or specifying an invalid resource identifier.  
HTTP Status Code: 400

 ** ForbiddenException **   
You are not authorized to perform the requested operation.  
HTTP Status Code: 403

 ** InvalidRequestException **   
You have requested an action that that the service doesn't support.  
HTTP Status Code: 400

 ** ServiceException **   
This exception is thrown when the service encounters an unrecoverable exception.  
HTTP Status Code: 500

 ** ServiceUnavailableException **   
The service is unable to process your request at this time.  
HTTP Status Code: 503

## See Also
<a name="API_GetContainerRecipe_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/imagebuilder-2019-12-02/GetContainerRecipe) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/imagebuilder-2019-12-02/GetContainerRecipe) 